using System.Windows.Forms;
using Microsoft.WowAddonStudio.FrameXml.Components;
using Microsoft.WowAddonStudio.FrameXml.Design.Serialization;
using Microsoft.WowAddonStudio.FrameXml.Serialization.LayoutFrames;
using Microsoft.WowAddonStudio.FrameXml.Services;
using Microsoft.WowAddonStudio.Tests.Common.Mocks;

namespace Microsoft.WowAddonStudio.FrameXml.Design.Tests.Serialization
{
	public abstract class SerializationTestBase
	{
		protected static SimpleTestServiceLocator locator;
		protected FrameXmlSerializationStore serializationStore;
		protected IFrameXmlSerializer serializer;

		/// <summary>
		/// Creates the test control.
		/// </summary>
		/// <returns></returns>
		protected static Control CreateTestControl()
		{
			return new FrameControl(new Frame { Name = "TestControl" }) { Name = "TestControl" };
		}

	}
}