using Microsoft.WowAddonStudio.FrameXml.Design.Support.NameCreationService;

namespace Microsoft.WowAddonStudio.FrameXml.Design.Services.NameCreationService
{
	/// <summary>
	/// 
	/// </summary>
	public class UniqueNumberGeneratorContext
	{
        /// <summary>
        /// Gets or sets the generator.
        /// </summary>
        /// <value>The generator.</value>
        public IUniqueNumberGenerator Generator { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="UniqueNumberGeneratorContext"/> class.
        /// </summary>
        /// <param name="generator">The generator.</param>
        public UniqueNumberGeneratorContext(IUniqueNumberGenerator generator)
		{
		    Generator = generator;
		}
	}
}