using System;

namespace Microsoft.WowAddonStudio.FrameXml.Serialization.Attributes
{
    /// <summary>
    /// Represents a custom attributes.
    /// </summary>
    [AttributeUsage(AttributeTargets.Property,AllowMultiple = false, Inherited = true)]
    public sealed class InheritsListAttribute : Attribute
    {
        /// <summary>
        /// Gets or sets the type of the inheritable object that we can inherit from.
        /// </summary>
        public Type InheritableObjectType { get; set; }
    }
}