namespace Microsoft.WowAddonStudio.FrameXml.Serialization
{
    public interface ICopiable<T>
    {
        /// <summary>
        /// Creates a new object that is a copy of the instance.
        /// </summary>
        /// <returns>The copied instance.</returns>
        /// <remarks>Performs a deep copy.</remarks>
        T Copy();
    }
}