﻿namespace Microsoft.WowAddonStudio.FrameXml.Serialization
{
    public interface IPropertyValidator
    {
        /// <summary>
        /// Determines whether the specified property name is valid.
        /// </summary>
        /// <param name="propertyName">Name of the property.</param>
        /// <param name="value">The value.</param>
        /// <returns>
        /// 	<c>true</c> if the specified property name is valid; otherwise, <c>false</c>.
        /// </returns>
        bool ValidatePoperty(string propertyName, object value);
    }
}
