﻿using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Microsoft.WowAddonStudio.FrameXml.Serialization.LayoutFrames
{
    [Serializable]
    [DesignerCategory("code")]
    [XmlType(Namespace = "http://www.blizzard.com/wow/ui/")]
    [XmlRoot(Namespace = "http://www.blizzard.com/wow/ui/", IsNullable = false)]
    public class Cooldown : Frame
    {
        /// <summary>
        /// Gets or sets a value indicating whether the cooldown should be reversed.
        /// </summary>
        [XmlAttribute("reverse")]
        [DefaultValue(false)]
        [Category("Behavior")]
        public bool Reverse
        {
            get { return Properties.GetValue<bool>("Reverse"); }
            set { Properties.SetValue("Reverse", value); }
        }
    }
}