using System;

namespace Microsoft.WowAddonStudio.FrameXml.Services
{
	public interface IFrameXmlSerializer
	{
		/// <summary>
		/// Deserializes the specified control.
		/// </summary>
		/// <param name="frameXml">The frameXml.</param>
		/// <param name="objectType">Type of the object.</param>
		/// <returns></returns>
		object Deserialize(string frameXml, Type objectType);

		/// <summary>
		/// Serializes the specified control.
		/// </summary>
		/// <param name="frame">The frame.</param>
		/// <returns></returns>
		string Serialize(object frame);

	}
}