using Microsoft.WowAddonStudio.Lua.Model;

namespace Microsoft.WowAddonStudio.Lua.LanguageService.Intellisense
{
    public interface IDescriptionProvider
    {
        /// <summary>
        /// Gets the description of a declaration.
        /// </summary>
        /// <param name="declaration">The declaration.</param>
        /// <returns>The description of a declaration.</returns>
        string GetDescription(Declaration declaration);
    }
}