using Microsoft.WowAddonStudio.Lua.RuntimeService.ShellHost;
using Microsoft.WowAddonStudio.Lua.RuntimeService.Tests.Mocks;

namespace Microsoft.WowAddonStudio.Lua.RuntimeService.Tests.Mocks
{
	/// <summary>
	/// 
	/// </summary>
	public sealed class MockShellHostFactory : IShellHostFactory
	{
		/// <summary>
		/// Creates the shell host.
		/// </summary>
		/// <returns></returns>
		public IShellHost CreateShellHost()
		{
			return CreateShellHost(ShellHostType.CommandHost);
		}

		/// <summary>
		/// Creates the shell host.
		/// </summary>
		/// <param name="hostType">Type of the host.</param>
		/// <returns></returns>
		public IShellHost CreateShellHost(ShellHostType hostType)
		{
			return new MockShellHost();
		}
	}
}