using System;

namespace Microsoft.WowAddonStudio.Lua.RuntimeService.ToolWindows
{
	/// <summary>
	/// Class containing HistoryItem event data.
	/// </summary>
	public class HistoryItemSelectedEventArgs : EventArgs
	{

		/// <summary>
		/// Initializes a new instance of the <see cref="HistoryItemSelectedEventArgs"/> class.
		/// </summary>
		/// <param name="command">The command.</param>
		public HistoryItemSelectedEventArgs(string command)
		{
			Command = command;
		}

		/// <summary>
		/// Gets or sets the command.
		/// </summary>
		/// <value>The command.</value>
		public string Command { get; set; }
	}
}