using System;
using System.Windows.Forms;

namespace Microsoft.WowAddonStudio.Lua.RuntimeService.ToolWindows
{
	/// <summary>
	/// 
	/// </summary>
	public interface IToolWindowControl : IWin32Window, IDisposable
	{
		/// <summary>
		/// Indicates that Control is readonly.
		/// </summary>
		bool ReadOnly { get; set; }

		/// <summary>
		/// Gets the output control.
		/// </summary>
		Control OutputControl{ get; }

		/// <summary>
		/// Sets the state of controls.
		/// </summary>
		/// <param name="enabled"></param>
		void SetControlState(bool enabled);
	}
}