﻿using System;
using System.IO;

using Microsoft.WowAddonStudio.Lua.Loaders;
using Microsoft.WowAddonStudio.Lua.Model;

using NUnit.Framework;

namespace Microsoft.WowAddonStudio.Lua.Tests.Loaders
{
    [TestFixture]
    public abstract class FileDocumentationLoaderTestBase<TDocumentationFileLoader> where TDocumentationFileLoader : FileDocumentationLoader, new()
    {
        [SetUp]
        public void SetUp()
        {
            this.FileDocumentationLoader = new TDocumentationFileLoader();
        }

        /// <summary>
        /// Gets the documentation loader being tested.
        /// </summary>
        public TDocumentationFileLoader FileDocumentationLoader { get; private set; }
    }
}