﻿using Microsoft.WowAddonStudio.Lua.Model;

namespace Microsoft.WowAddonStudio.Lua.Loaders
{
    /// <summary>
    /// An abstract class for loading <see cref="Documentation"/> from a variety of sources.
    /// </summary>
    public abstract class DocumentationLoader
    {
        /// <summary>
        /// Loads the documentation.
        /// </summary>
        /// <returns>An instance of the <see cref="DocumentationScope"/> class.</returns>
        public abstract DocumentationScope LoadDocumentation();
    }
}