﻿using System.Xml.Serialization;
using System.ComponentModel;

namespace Microsoft.WowAddonStudio.Lua.Model
{
    /// <summary>
    /// A Lua <see cref="Function"/>s parameter.
    /// </summary>
    public class Parameter : ApiDeclaration
    {
        /// <summary>
        /// Gets or sets a value indicating whether the parameter is optional.
        /// </summary>
        [XmlAttribute("optional")]
        [DefaultValue(false)]
        public bool Optional { get; set; }
    }
}
