﻿using System.Xml.Serialization;

namespace Microsoft.WowAddonStudio.Lua.Model
{
    /// <summary>
    /// Provides a list of parameter choices instead of a single <see cref="Parameter"/>.
    /// </summary>
    public class ParameterChoice : Parameter
    {
        /// <summary>
        /// Gets or sets the parameter choices.
        /// </summary>
        [XmlElement("param")]
        public Parameter[] Choices { get; set; }
    }
}
