﻿using System.Runtime.InteropServices;
using EnvDTE;
using Microsoft.VisualStudio.Project.Automation;

namespace Microsoft.WowAddonStudio.Project.Automation
{
    /// <summary>
    /// World of Warcraft project automation object.
    /// </summary>
    [ComVisible(true)]
    public class OAWowProject : OAProject
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="OAWowProject"/> class.
        /// </summary>
        /// <param name="projectNode">The project node.</param>
        internal OAWowProject(WowProjectNode projectNode)
            : base(projectNode)
        {
        }

        /// <summary>
        /// Gets a collection of all properties that pertain to the Project object.
        /// </summary>
        /// <value></value>
        public override Properties Properties
        {
            get { return new OAWowProjectProperties(Project.NodeProperties); }
        }
    }
}