﻿namespace Microsoft.WowAddonStudio.Project
{
    /// <summary>
    /// Project properties on the General property page.
    /// </summary>
    public enum GeneralPropertyPageTag
    {
        /// <summary>
        /// Path to the World of Warcraft Installation
        /// </summary>
        WowPath,
        InterfaceVersion,
        AddonTitle,
        AddonNotes,
        Dependencies,
        LoadOnDemand,
        LoadWith,
        LoadManagers,
        SavedVariables,
        SavedVariablesPerCharacter,
        DefaultState,
        Author,
        AddonVersion,
        AuthorEmail
    }
}
