﻿using System.Drawing;
using Microsoft.WowAddonStudio.Project.Import;

namespace Microsoft.WowAddonStudio.Project.Import
{
	public partial class InnerPane : ImportWizardPane
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="InnerPane"/> class.
		/// </summary>
		public InnerPane()
		{
			InitializeComponent();
			headerPictureBox.Image = Image.FromStream(
				typeof (InitPane).Assembly.GetManifestResourceStream("Microsoft.WowAddonStudio.Project.Resources.wizardstep.bmp"));
		}

		/// <summary>
		/// Sets the header text.
		/// </summary>
		/// <value>The header text.</value>
		protected string HeaderText
		{
			set { headerLabel.Text = value; }
		}
	}
}