﻿namespace Microsoft.WowAddonStudio.TocEditor
{
    public interface IFileRepresentation
    {
		/// <summary>
		/// Gets a value indicating whether this instance is included.
		/// </summary>
		/// <value>
		/// 	<c>true</c> if this instance is included; otherwise, <c>false</c>.
		/// </value>
        bool IsIncluded { get; }

		/// <summary>
		/// Gets the relative path.
		/// </summary>
		/// <value>The relative path.</value>
        string RelativePath { get; }
    }
}
