local L = AOSS_LOCAL_STRINGS
local PARENT = L.DEBUGGING_NAME

function AOSSDebugging_OnLoad(frame)
	_G[frame:GetName().."Text"]:SetText(L.DEBUGGING_PANEL_TEXT)
	frame.name = PARENT
	AOSS_AddCategory(frame)
end

--[[----------------------------------------------------------------------------
Errors
--]]----------------------------------------------------------------------------

function AOSSDebuggingErrors_OnLoad(frame)
	frame.name = L.DEBUGGING_ERRORS_NAME
	frame.parent = PARENT
	AOSS_AddCategory(frame)

	AOSS_NYI(frame)
end

--[[----------------------------------------------------------------------------
Performance
--]]----------------------------------------------------------------------------

function AOSSDebuggingPerformance_OnLoad(frame)
	frame.name = L.DEBUGGING_PERFORMANCE_NAME
	frame.parent = PARENT
	AOSS_AddCategory(frame)

	AOSS_NYI(frame)
end
