using System;

namespace Microsoft.WowAddonStudio.FrameXml.Components.Designers
{
	/// <summary>
	/// Extends the design mode behavior of ParentControlDesigner and ControlDesigner.
	/// </summary>
	public interface ILayoutFrameDesignerEvents
	{
		/// <summary>
		/// Occurs when [initialized new component].
		/// </summary>
		event EventHandler<FrameDesignerEventArgs> InitializedNewComponent;
	}
}