﻿using System;

namespace Microsoft.WowAddonStudio.FrameXml.Components.Support
{
    public interface IComponentActivator
    {
        /// <summary>
        /// Creates a component.
        /// </summary>
        /// <param name="componentClass">The type of the component.</param>
        /// <returns>The newly created component.</returns>
        object CreateComponent(Type componentClass);
    }
}
