﻿using System;

namespace Microsoft.WowAddonStudio.FrameXml.Components.Support
{
	/// <summary>
	/// 
	/// </summary>
    public static class StringExtensions
    {
		/// <summary>
		/// Determines whether the specified value is available.
		/// </summary>
		/// <param name="value">The value.</param>
		/// <returns>
		/// 	<c>true</c> if the specified value is available; otherwise, <c>false</c>.
		/// </returns>
        public static bool IsAvailable(this string value)
        {
            return !String.IsNullOrEmpty(value);
        }
    }
}
