﻿using System.ComponentModel;
using System.Drawing;
using Microsoft.WowAddonStudio.FrameXml.Components.Events;
using Microsoft.WowAddonStudio.FrameXml.Serialization;
using Microsoft.WowAddonStudio.FrameXml.Serialization.LayoutFrames;

namespace Microsoft.WowAddonStudio.FrameXml.Components
{
    [ToolboxItem(false)]
	[ToolboxBitmap(typeof(System.Windows.Forms.PageSetupDialog), "PageSetupDialog.bmp")]
	[ToolboxItemFilter("WowAddonStudio", ToolboxItemFilterType.Require)]
    [EventGroup(EventGroup.Frame, EventName.OnLoad)]
    public class TaxiRouteFrameControl : FrameControl
    {
		/// <summary>
		/// Initializes a new instance of the <see cref="TaxiRouteFrameControl"/> class.
		/// </summary>
    	public TaxiRouteFrameControl()
    	{
    	}

    	public TaxiRouteFrameControl(TaxiRouteFrame frame)
            : base(frame)
        {
        }
    }
}
