﻿using NUnit.Framework;

namespace Microsoft.WowAddonStudio.FrameXml.Serialization.Tests
{
    [TestFixture]
    public class SerializationObjectTest
    {
        [Test]
        public void InitializeDefaultsTest()
        {
            var font = new Font();

            // Assert the default values of the font's properties after instantiation
            Assert.AreEqual(false, font.Virtual);
            Assert.AreEqual(0, font.Spacing);
            Assert.AreEqual(Outline.None, font.Outline);
            Assert.AreEqual(false, font.Monochrome);
            Assert.AreEqual(JustifyHorizontal.Center, font.JustifyHorizontal);
            Assert.AreEqual(JustifyVertical.Middle, font.JustifyVertical);

        }
    }
}
