﻿using System;
using System.Xml.Serialization;

namespace Microsoft.WowAddonStudio.FrameXml.Serialization
{
    /// <summary>
    /// Element name choices for various events.
    /// </summary>
    [Serializable]
    [XmlType(Namespace = "http://www.blizzard.com/wow/ui/", IncludeInSchema = false)]
    public enum EventName
    {
        OnAnimFinished,
        OnAttributeChanged,
        OnChar,
        OnCharComposition,
        OnClick,
        OnColorSelect,
        OnCursorChanged,
        OnDoubleClick,
        OnDragStart,
        OnDragStop,
        OnEditFocusGained,
        OnEditFocusLost,
        OnEnter,
        OnEnterPressed,
        OnEscapePressed,
        OnEvent,
        OnHide,
        OnHorizontalScroll,
        OnHyperlinkClick,
        OnHyperlinkEnter,
        OnHyperlinkLeave,
        OnInputLanguageChanged,
        OnKeyDown,
        OnKeyUp,
        OnLeave,
        OnLoad,
        OnMessageScrollChanged,
        OnMouseDown,
        OnMouseUp,
        OnMouseWheel,
        OnMovieFinished,
        OnMovieHideSubtitle,
        OnMovieShowSubtitle,
        OnReceiveDrag,
        OnScrollRangeChanged,
        OnShow,
        OnSizeChanged,
        OnSpacePressed,
        OnTabPressed,
        OnTextChanged,
        OnTextSet,
        OnTooltipAddMoney,
        OnTooltipCleared,
        OnTooltipSetDefaultAnchor,
        OnTooltipSetItem,
        OnTooltipSetSpell,
        OnTooltipSetUnit,
        OnUpdate,
        OnUpdateModel,
        OnValueChanged,
        OnVerticalScroll,
        PostClick,
        PreClick
    }
}