﻿using System;
using System.Xml.Serialization;

namespace Microsoft.WowAddonStudio.FrameXml.Serialization
{
    [Serializable]
    [XmlType(Namespace = "http://www.blizzard.com/wow/ui/")]
    public enum FramePoint
    {
        [XmlEnum("TOPLEFT")]
        TopLeft,

        [XmlEnum("TOPRIGHT")]
        TopRight,

        [XmlEnum("BOTTOMLEFT")]
        BottomLeft,

        [XmlEnum("BOTTOMRIGHT")]
        BottomRight,

        [XmlEnum("TOP")]
        Top,

        [XmlEnum("BOTTOM")]
        Bottom,

        [XmlEnum("LEFT")]
        Left,

        [XmlEnum("RIGHT")]
        Right,

        [XmlEnum("CENTER")]
        Center
    }
}