﻿using System;
using System.Xml.Serialization;

namespace Microsoft.WowAddonStudio.FrameXml.Serialization
{
    [Serializable]
    [XmlType(Namespace = "http://www.blizzard.com/wow/ui/")]
    public enum FrameStrata
    {
        [XmlEnum("PARENT")]
        Parent,

        [XmlEnum("BACKGROUND")]
        Background,

        [XmlEnum("LOW")]
        Low,

        [XmlEnum("MEDIUM")]
        Medium,

        [XmlEnum("HIGH")]
        High,

        [XmlEnum("DIALOG")]
        Dialog,

        [XmlEnum("FULLSCREEN")]
        Fullscreen,

        [XmlEnum("FULLSCREEN_DIALOG")]
        FullscreenDialog,

        [XmlEnum("TOOLTIP")]
        Tooltip
    }
}