﻿using System.Linq;

using Microsoft.VisualStudio.Package;
using Microsoft.WowAddonStudio.Lua.LanguageService.Intellisense.Providers;

using NUnit.Framework;

namespace Microsoft.WowAddonStudio.Lua.LanguageService.Tests.Intellisense
{
    [TestFixture]
    public class KeywordDeclarationProviderTest : DeclarationProviderTestBase<KeywordDeclarationProvider>
    {
        [Test]
        public void GetKeywordDeclarationsTest()
        {
            declarationProvider.Initialize(this.CreateParseRequest(ParseReason.CompleteWord, 0, 0));
            var declarations = declarationProvider.GetDeclarations();

            Assert.IsNotNull(declarations);
            Assert.AreEqual(23, declarations.Count());
        }
    }
}
