﻿using Microsoft.WowAddonStudio.Lua.Model;

namespace Microsoft.WowAddonStudio.Lua.LanguageService.Intellisense
{
    public interface IDocumentationDeclarationProvider : IDeclarationProvider
    {
        /// <summary>
        /// Gets the documentation scope from the provider.
        /// </summary>
        DocumentationScope DocumentationScope { get; }

        /// <summary>
        /// Gets the documentation from the provider.
        /// </summary>
        Documentation Documentation { get; }
    }
}
