﻿using System.Collections.Generic;

using Microsoft.WowAddonStudio.Lua.Model;

namespace Microsoft.WowAddonStudio.Lua.LanguageService.Intellisense
{
    public class SimpleDeclarationProvider : DeclarationProvider
    {
        protected sealed override IEnumerable<Declaration> GetWords()
        {
            if (Request.HasQualifiedName && Request.QualifiedName.IsQualified)
                return new Declaration[0];

            return this.GetSimpleDeclarations();
        }

        protected virtual IEnumerable<Declaration> GetSimpleDeclarations()
        {
            return new Declaration[0];
        }
    }
}
