namespace Microsoft.WowAddonStudio.Lua.RuntimeService.ShellHost
{
	/// <summary>
	/// 
	/// </summary>
	public interface IShellHostFactory
	{

		/// <summary>
		/// Creates the shell host.
		/// </summary>
		/// <returns></returns>
		IShellHost CreateShellHost();


		/// <summary>
		/// Creates the shell host.
		/// </summary>
		/// <param name="hostType">Type of the host.</param>
		/// <returns></returns>
		IShellHost CreateShellHost(ShellHostType hostType);
	}
}