namespace Microsoft.WowAddonStudio.Lua.RuntimeService.WowBench
{
	/// <summary>
	/// Defines an interface for Resolver classes.
	/// </summary>
	public interface ICommandResolver
	{
		/// <summary>
		/// Resolve parameter tokens in the specified command.
		/// </summary>
		/// <param name="command"></param>
		/// <returns></returns>
		string Resolve(string command);

		/// <summary>
		/// Resets the current state of <see cref="ICommandResolver"/>
		/// </summary>
		void Reset();
	}
}