﻿using Microsoft.WowAddonStudio.Lua.Loaders;

using NUnit.Framework;

namespace Microsoft.WowAddonStudio.Lua.Tests.Loaders
{
    [TestFixture]
    public class XmlDocumentationLoaderTest : DocumentationLoaderTestBase<XmlDocumentationLoader>
    {
        private const string documentationPath = "Data/Documentation";

        [Test]
        public void LoadDocumentationTest()
        {
            DocumentationLoader = new DirectoryXmlDocumentationLoader(documentationPath);
            var documentationScope = DocumentationLoader.LoadDocumentation();

            Assert.IsNotNull(documentationScope);
            Assert.AreNotEqual(0, documentationScope.Documentation.Declarations.Count);
        }
    }
}