﻿using System.Xml.Serialization;

namespace Microsoft.WowAddonStudio.Lua.Model
{
    /// <summary>
    /// The logical API types a <see cref="Parameter"/>, a <see cref="ReturnValue"/>
    /// or a <see cref="Variable"/> can have.
    /// </summary>
    public enum ApiType
    {
        Unknown = 0,
        [XmlEnum("unitid")]
        UnitId,
        [XmlEnum("1nil")]
        OneNil,
        [XmlEnum("team")]
        Team,
        [XmlEnum("inventoryid")]
        InventoryId,
        [XmlEnum("bagid")]
        BagId,
        [XmlEnum("itemid")]
        ItemId,
        [XmlEnum("itemstring")]
        ItemString,
        [XmlEnum("itemlink")]
        ItemLink
    }
}