﻿using System.Xml.Serialization;

namespace Microsoft.WowAddonStudio.Lua.Model
{
    /// <summary>
    /// The valid Lua types.
    /// </summary>
    public enum LuaType
    {
        Unknown = 0,
        [XmlEnum("nil")]
        Nil,
        [XmlEnum("boolean")]
        Boolean,
        [XmlEnum("number")]
        Number,
        [XmlEnum("string")]
        String,
        [XmlEnum("function")]
        Function,
        [XmlEnum("userdata")]
        Userdata,
        [XmlEnum("thread")]
        Thread,
        [XmlEnum("table")]
        Table
    }
}
