﻿namespace Microsoft.WowAddonStudio.Lua.Parser
{
    public interface IColorScan
    {
        /// <summary>
        /// Sets the source.
        /// </summary>
        /// <param name="source">The source.</param>
        /// <param name="offset">The offset.</param>
        void SetSource(string source, int offset);

        /// <summary>
        /// Gets the next token.
        /// </summary>
        /// <param name="state">The current state.</param>
        /// <param name="start">The start position of the token.</param>
        /// <param name="end">The end position of the token.</param>
        /// <returns>The token.</returns>
        int GetNext(ref int state, out int start, out int end);
    }
}